Subject: Re: [VCARDDAV] VCARDDAV Digest, Vol 12, Issue 36

From: Jean-Luc Schellens <[email-masked]>
Date: Sat, 9 Aug 2008 10:24:40 +0200

>   1. Re:  Key types (Simon Perreault)
>
> Andy Mabbett wrote:
>> Do we perhaps need to cater for both types of key, then?
>
> If you can think of a way to do it in a clean way, please propose  
> text! :)

I think we have first to clarify!
A person can have:
- A private key
- A public key
- A certificate.
You use the private key to encrypt a document. By definition, a  
private is secret and I believe you'll never include one in a vCard!
On the contrary the public key will be included to allow your contacts  
to decrypt your documents, mainly your emails. (The secure  
transmission of your public key to the right contacts remains a big  
issue.)
A certificate is used to sign/authenticate a document. It's a "seal" I  
suppose you'll also keep secret.

So to summarize, for me, only the public key has to be included in  
vCard and is mainly a "communication properties" (rather 7.4.5 than  
7.8.2).
Regards,
Jean-Luc
_______________________________________________
VCARDDAV mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/vcarddav